package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataAuditDetail;
import com.sa.ibiz.demo.demo.service.dto.DataAuditDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataAuditDetail] 服务对象接口
 */
public interface DataAuditDetailService extends IService<DataAuditDetail>{

	boolean remove(DataAuditDetail et);
		DataAuditDetail get(DataAuditDetail et);
	boolean getDraft(DataAuditDetail et);
	boolean checkKey(DataAuditDetail et);
	boolean update(DataAuditDetail et);
	boolean create(DataAuditDetail et);
    List<DataAuditDetail> listDefault(DataAuditDetailSearchFilter filter) ;
	Page<DataAuditDetail> searchDefault(DataAuditDetailSearchFilter filter);
	/**	 实体[DataAuditDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }